## com.puppycrawl.tools.checkstyle
Class XMLLogger

    java.lang.Object
      com.puppycrawl.tools.checkstyle.api.AutomaticBean
          com.puppycrawl.tools.checkstyle.XMLLogger

All Implemented Interfaces:
  AuditListener, Configurable, Contextualizable, EventListener

    public class XMLLogger

extends AutomaticBean
implements AuditListener

Simple XML logger. It outputs everything in UTF-8 (default XML encoding is UTF-8) in case we want to localize error messages or simply that filenames are localized and takes care about escaping as well.

Author:
  Stephane Bailliez

Constructor Summary
`XMLLogger(OutputStream aOS, boolean aCloseStream)` Creates a new `XMLLogger` instance.

Method Summary
`void` `addError(AuditEvent aEvt)` Notify that an audit error was discovered on a specific file.
`void` `addException(AuditEvent aEvt, Throwable aThrowable)` Notify that an exception happened while performing audit.
`void` `auditFinished(AuditEvent aEvt)` Notify that the audit is finished.
`void` `auditStarted(AuditEvent aEvt)` Notify that the audit is about to start.
`String` `encode(String aValue)` Escape <, > & ' and " as their entities.
`void` `fileFinished(AuditEvent aEvt)` Notify that audit is finished on a specific file.
`void` `fileStarted(AuditEvent aEvt)` Notify that audit is about to start on a specific file.
`boolean` `isReference(String aEnt)`

Methods inherited from class com.puppycrawl.tools.checkstyle.api.AutomaticBean
`configure, contextualize, finishLocalSetup, getConfiguration, setupChild`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XMLLogger

    public XMLLogger(OutputStream aOS,
                     boolean aCloseStream)

  Creates a new `XMLLogger` instance. Sets the output to a defined stream.

  Parameters:
    `aOS` - the stream to write logs to.
    `aCloseStream` - close aOS in auditFinished

Method Detail

### auditStarted

    public void auditStarted(AuditEvent aEvt)

  Notify that the audit is about to start.

  Specified by:
    `auditStarted` in interface `AuditListener`
  Parameters:
    `aEvt` - the event details

### auditFinished

    public void auditFinished(AuditEvent aEvt)

  Notify that the audit is finished.

  Specified by:
    `auditFinished` in interface `AuditListener`
  Parameters:
    `aEvt` - the event details

### fileStarted

    public void fileStarted(AuditEvent aEvt)

  Notify that audit is about to start on a specific file.

  Specified by:
    `fileStarted` in interface `AuditListener`
  Parameters:
    `aEvt` - the event details

### fileFinished

    public void fileFinished(AuditEvent aEvt)

  Notify that audit is finished on a specific file.

  Specified by:
    `fileFinished` in interface `AuditListener`
  Parameters:
    `aEvt` - the event details

### addError

    public void addError(AuditEvent aEvt)

  Notify that an audit error was discovered on a specific file.

  Specified by:
    `addError` in interface `AuditListener`
  Parameters:
    `aEvt` - the event details

### addException

    public void addException(AuditEvent aEvt,
                             Throwable aThrowable)

  Notify that an exception happened while performing audit.

  Specified by:
    `addException` in interface `AuditListener`
  Parameters:
    `aEvt` - the event details
    `aThrowable` - details of the exception

### encode

    public String encode(String aValue)

  Escape <, > & ' and " as their entities.

  Parameters:
    `aValue` - the value to escape.
  Returns:
    the escaped value if necessary.

### isReference

    public boolean isReference(String aEnt)

  Parameters:
    `aEnt` - the possible entity to look for.
  Returns:
    whether the given argument a character or entity reference

Copyright © 2001-2011. All Rights Reserved.